Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000865Taste[All Projects] OpenGeodepublic2019-04-09 17:062019-11-18 13:51
Reportershd01 
Assigned Tomaxime 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0000865:

OpenGeode confused about existence of dataview-uniq.asn

Description

Since updating to OpenGeode 2.0.35 I have noticed some strange behaviour when editing SDL.

When I open the SDL function in OpenGeode, it reports "No Errors, No Warnings". Then when I save the SDL project and say "yes" to syntax check, OpenGeode seems to forget that it has a data model.

See attached pic.

I am not sure of the exact circumstances that create this, but it does happen quite often.

TagsNo tags attached.
Attached Filespng file icon Screenshot from 2019-04-09 19-02-03.png [^] (387,563 bytes) 2019-04-09 17:06

- Relationships

-  Notes
(0003621)
maxime (administrator)
2019-04-09 19:42

I noticed it too. There seems to be a directory change issue in the script that calls opengeode from the GUI. I did not have time to investigate it further, but I will.

(0003622)
shd01 (reporter)
2019-04-10 06:55
edited on: 2019-04-10 06:56

Not sure this is relevant, but I did once run my TASTE executable (GUI and x86_partition) as root. That left behind some files in /tmp that stopped the next build due to insufficient permissions (e.g. dv.asn). Is it possible that something else has been touched?

(0003626)
shd01 (reporter)
2019-04-11 09:48

The permissions hunch is probably not relevant, since OpenGeode runs correctly in standalone when launched from the linux command line on the same model.

(0003688)
shd01 (reporter)
2019-11-18 13:50

This does not seem to happen any more. The ticket can be closed?

(0003689)
maxime (administrator)
2019-11-18 13:51

yes, closing


- Issue History
Date Modified Username Field Change
2019-04-09 17:06 shd01 New Issue
2019-04-09 17:06 shd01 Status

new => assigned

2019-04-09 17:06 shd01 Assigned To

=> maxime

2019-04-09 17:06 shd01 File Added: Screenshot from 2019-04-09 19-02-03.png
2019-04-09 19:42 maxime Note Added: 0003621
2019-04-10 06:55 shd01 Note Added: 0003622
2019-04-10 06:56 shd01 Note Edited: 0003622 View Revisions
2019-04-11 09:48 shd01 Note Added: 0003626
2019-11-18 13:50 shd01 Note Added: 0003688
2019-11-18 13:51 maxime Note Added: 0003689
2019-11-18 13:51 maxime Status

assigned => closed

2019-11-18 13:51 maxime Resolution

open => fixed



Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker